Bug 1008825 - [RFE] New api: lu_homedir_remove_if_owned_for_user
[RFE] New api: lu_homedir_remove_if_owned_for_user
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1008933 1009010
  Show dependency treegraph
 
Reported: 2013-09-17 03:04 EDT by Robin Hack
Modified: 2013-11-10 02:59 EST (History)
1 user (show)

See Also:
Fixed In Version: libuser-0.60-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008933 (view as bug list)
Environment:
Last Closed: 2013-11-10 02:59:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for rfe. (22.63 KB, patch)
2013-09-17 03:04 EDT, Robin Hack
no flags Details | Diff

  None (edit)
Description Robin Hack 2013-09-17 03:04:37 EDT
Created attachment 798645 [details]
Patch for rfe.

Description of problem:
I need atomically check if deleted home is owned by user.

This patch should be helpful.

I hope, that gods will be satisfied by this patch.

This patch also contains generated documentation.
Comment 1 Robin Hack 2013-09-17 03:05:22 EDT
Maybe: api can be named like:
lu_homedir_remove_if_owned_by_user
Comment 2 Miloslav Trmač 2013-10-14 11:57:28 EDT
Fixed in rawhide libuser-0.60-1.fc21, adding lu_homedir_remove_for_user_if_owned().

Thanks for the patch!
Comment 3 Fedora Update System 2013-10-16 10:06:37 EDT
libuser-0.60-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libuser-0.60-3.fc20
Comment 4 Fedora Update System 2013-10-17 16:33:12 EDT
Package libuser-0.60-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libuser-0.60-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19208/libuser-0.60-3.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-10 02:59:14 EST
libuser-0.60-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.